# encoding: UTF-8
require 'thor'
require_relative 'helper'
require_relative '../data'
include Minireq::Data

module Minireq
  module Cli

    class PertCli < Thor
      @@dsl_cli = DslFileMgr.new('estimation.pert', PertDslFile)

      desc "create", "Create PERT DSL file"
      def create; @@dsl_cli.create; end

      desc "update", "Update PERT DSL file"
      def update; @@dsl_cli.update; end

      desc "check", "Check PERT DSL file"
      def check; @@dsl_cli.check; end

      desc "calc", "Calculate PERT DSL file"
      def calc; @@dsl_cli.calc; end

    end
  end
end
