require 'thor'
require 'minireq'

class Creq < Thor
  include Thor::Actions

  desc "console", "Run IRB console"
  def console
    require "irb"
    ARGV.clear
    IRB.start
  end

  desc "priority", "Create priority.csv file"
  def priority
    doc = get_document
    File.open('priority.csv', 'w') do |f|
      f.write "id;title;risk;effort;priority\n"
      doc.visit do |r|
        f.write "#{r.id};#{r.title};low;low;low\n"
      end
    end
    puts "File 'priority.csv' created!"
  end
end
