# [cli.pert.update] pert update command
{{
parent: cli.pert
}}

The System shall provide CLI command `pert update`. When command `pert update` is received, the System shall add missed estimations to `PERT DSL` file called `estimation.pert` from requirements repository (`project/req/*.md` files).

During an update process, the System shall use the same behavior as described in [[cli.pert.create.record]]

## [cli.pert.update.missed] Missed estimations

`Missed estimations` are requirements presented in requirements repository but not included in `PERT DSL` file `estimation.pert` through `skip` or `pert` DSL function.

## [cli.pert.update.check] Precheck

When `PERT DSL` file `estimation.pert` does not exist, the System shall abort execution of the command `pert update` and show error message `PERT estimation file estimation.pert does not exist. Operation aborted.`.
