# [cli.trace.check] trace check command
{{
parent: cli.trace
}}

The System shall provide CLI command `trace check`. When the command `trace check` is received, the System shall check `Tracing DSL` file `traces.trc` for:
* `missed traces` (see [[cli.trace.update.missed]]) and return array of missed requirement ids.
* `wrong traces` (see [[cli.trace.check.wrong]]) and return array of wrong object ids.

## [cli.trace.check.wrong] Wrong trace

Wrong traces are the ones from `traces.trc` file added through `skip` and `from` functions, but the referenced requirement id is not found in requirements repository.

## [cli.trace.check.precheck] Precheck

When `Tracing DSL` file `traces.trc` does not exist, the System shall abort execution of the command `trace update` and show an error message `Tracing file traces.trc does not exist. Operation aborted.`.
