# [cli.trace.create] trace create command
{{
parent: cli.trace
}}

The System shall provide CLI command `trace create`. When command `trace create` is received, the System shall create a well-formed `Tracing DSL` file called `traces.trc`, which is based on requirements repository.

## [cli.trace.create.check] Precheck

When `Tracing DSL` file `traces.trc` exists, the System shall abort execution of `trace create` command and show an error message `Tracing file traces.trc already exists. Operation aborted.`.

## [cli.trace.create.record] Trace record

The System shall add trace records based on requirement data.

When requirement body is empty, the System shall add a requirement through function `skip '<id>', 'requirement body is empty'`.

When requirement body is not empty, the System shall add a requirement trace through function `from '<id>', :source, 'replace to tracing object'`
