# [cli.trace.update] trace update command
{{
parent: cli.trace
}}

The System shall provide CLI command `trace update`. When command `trace update` is received, the System shall add the missed traces to `Tracing DSL` file called `traces.trc` from requirements repository (`project/req/*.md` files).

During an update process, the System shall use the same behavior as described in [[cli.trace.create.record]]

## [cli.trace.update.missed] Missed traces

`Missed traces` are requirements presented in `Requirements Repository` but not included in `Tracing DSL` file `traces.trc` through `skip` or `from` DSL function.

## [cli.trace.update.check] Precheck

When `Tracing DSL` file `traces.trc` does not exist, the System shall abort execution of the command `trace update` and show an error message `Tracing file traces.trc does not exist. Operation aborted.`.
