require 'thor'
require 'minireq'

class Creq < Thor
  include Thor::Actions

  desc "console", "Run IRB console"
  def console
    require "irb"
    ARGV.clear
    IRB.start
  end

  desc "print", "Print all requirement"
  def print
    doc = get_document
    doc.visit do |r|
      puts "[#{r.id}] #{r.title}\n"
    end
  end
end
