# gem name

laconic rm, lrm, larm
compact rm, crm, corm

__corm__ the ​short ​underground ​growth of ​particular ​plants from which the new ​stem ​grows each ​year

# support attribute value inheritance
Suppose author writes feature in one file. He provides only root header attribute information {{ author: nvoynov }}.

When system ask any child requirement about attributes[:author] and this one contains attribute :author, the System shall return its own attribute author.

When system ask any child requirement about attributes[:author] and this one does not contain this attribute but any parent requirement contains, the System shall return :author attribute value from parent requirement if it exists.

# Provide method_missing mechanism for attributes
When Requirement accept unknown method, it shall try return attribute value.

```ruby
class Dummy  
  def method_missing(m, *args, &block)  
    puts "There's no method called #{m} here -- please try again."  
  end  
end  
Dummy.new.anything
```

# allow attributes writing as

`{{parent: to}}`

`{{parent: top
   source: ur1}}`

# move `doc` command to custom commands
Provide GitBook integration, provide a command to writing GitBook ready requirements.

# move `trace`, `pert` and `fpa` commands to plugins

# git integration

# traces
[us] user-story,           :detailed, software-requirement
[uc] use-case,             :detailed, software-requirement
[ur] user-requirement,     :detailed, software-requirement
[fr] software-requirement, :realized, source-code/commit
[fr] software-requirement, :tested,   test-code/test-case
[fr] software-requirement, :guided,   user-guide
[fr] functional/ [nf] non-functional/ [dc] design-constraint

# document history from commit comments?
How about to gather commit messages between tags?

Version | Description
:------ | :----------
v.0.1.0 | - initial commit<br/>- added cli.core requirements<br/>- added cli.trace requirements
v.0.1.1 | - some changes by user comments<br/>- added more detailed parameters description<br/>- fixed error with links

# `init` command

provide `_content.md` file by default
```
# user requirements
## user stories
## use cases
## user requirements
# software requirements
## functional
## non-functional
## interface requirements
## design constraint
```

folders by default?
reqs/user/
reqs/func/
reqs/intf/
reqs/nonf/
reqs/dcst/
reqs/content.md

provide `README.md` with basic commands description

# `describe` command
collect all available requirement information - traces and estimations, in depth?

# #anchor for headers
check if requirement links is really works :)
for GitBook need simple link [header-id], like url
