# encoding: UTF-8
require 'thor'
require_relative 'helper'
require_relative '../data'
include Minireq::Data

module Minireq
  module Cli

    class FpaCli < Thor
      @@dsl_cli = DslFileMgr.new('estimation.fpa', FpaDslFile)

      desc "create", "Create FPA DSL file"
      def create; @@dsl_cli.create; end

      desc "update", "Update FPA DSL file"
      def update; @@dsl_cli.update; end

      desc "check", "Check FPA DSL file"
      def check; @@dsl_cli.check; end

      desc "calc", "Calculate FPA DSL file"
      def calc; @@dsl_cli.calc; end

    end
  end
end
