# [cli.fpa.check] fpa check command
{{
parent: cli.fpa
}}

The System shall provide CLI command `fpa check`. When the command `fpa check` is received, the System shall check `FPA DSL` file `estimation.fpa` for:
* `missed estimations` (see [[cli.fpa.update.missed]]) and return the array of missed requirement ids.
* `wrong estimations` (see [[cli.fpa.check.wrong]]) and return the array of wrong object ids.

## [cli.fpa.check.wrong] Wrong estimations

Wrong estimations are the ones from `estimation.fpa` file added through functions `skip` or `pert`, but the referenced requirement id is not found in requirements repository.

## [cli.fpa.check.precheck] Precheck

When `FPA DSL` file `estimation.fpa` does not exist, the System shall abort execution of the command `fpa check` and show error message `FPA estimation file estimation.fpa does not exist. Operation aborted.`.
