# [cli.fpa.create] fpa create command
{{
parent: cli.fpa
}}

The System shall provide CLI command `fpa create`. When command `FPA create` is received, the System shall create a well-formed `FPA DSL` file called `estimation.fpa`, which is based on `Requirements repository`.

## [cli.fpa.create.check] Precheck

When `FPA DSL` file `estimation.fpa` exists, the System shall abort execution of the command `fpa create` and show the error message `FPA file estimation.fpa already exists. Operation aborted.`.

## [cli.fpa.create.record] FPA record

The System shall add FPA estimation records based on requirement data.

When requirement body is empty, the System shall add the requirement through `skip '<id>', 'requirement body is empty'`.

When requirement body is not empty, the System shall add the requirement estimation through `ILF '<id>', det: 0, ret: 0`. TBD: This combination of parameters values must raise error in `check` command.
