# [cli.fpa.update] fpa update command
{{
parent: cli.fpa
}}

The System shall provide CLI command `fpa update`. When the command `fpa update` is received, the System shall add the missed estimations to `FPA DSL` file called `estimation.fpa` from requirements repository (`project/req/*.md` files).

During an update process, the System shall use the same behavior as described in [[cli.fpa.create.record]]

## [cli.fpa.update.missed] Missed estimations

`Missed estimations` are requirements presented in requirements repository but not included in `FPA DSL` file `estimation.fpa` through `skip` or `ILF, EIF, EO, EI, EQ` DSL function.

## [cli.fpa.update.check] Precheck

When `FPA DSL` file `estimation.fpa` does not exist, the System shall abort execution of the command `fpa update` and show the error message `FPA estimation file estimation.fpa does not exist. Operation aborted.`.
