# [cli.pert.check] pert check command
{{
parent: cli.pert
}}

The System shall provide CLI command `pert check`. When command `pert check` is received, the System shall check `PERT DSL` file `estimation.pert` for:
* `missed estimations` (see [[cli.pert.update.missed]]) and return the array of missed requirement ids.
* `wrong estimations` (see [[cli.pert.check.wrong]]) and return the array of wrong object ids.

## [cli.pert.check.wrong] Wrong estimations

Wrong estimations are the ones from `estimation.pert` file added through `skip` and `pert` functions, but the referenced requirement id is not found in requirements repository.

## [cli.pert.check.precheck] Precheck

When `PERT DSL` file `estimation.pert` does not exist, the System shall abort execution of the command `pert check` and show the error message `PERT estimation file estimation.pert does not exist. Operation aborted.`.
