# [cli.pert.create] pert create command
{{
parent: cli.pert
}}

The System shall provide CLI command `pert create`. When command `pert create` is received, the System shall create a well-formed `PERT DSL` file called `estimation.pert`, which is based on `Requirements repository`.

## [cli.pert.create.check] Precheck

When `PERT DSL` file `estimation.pert` exists, the System shall abort execution of the command `pert create` and show the error message `PERT file estimation.pert already exists. Operation aborted.`.

## [cli.pert.create.record] Pert record

The System shall add PERT estimation records based on requirement data.

When requirement body is empty, the System shall add the requirement through the function `skip '<id>', 'requirement body is empty'`.

When requirement body is not empty, the System shall add the requirement estimation through the function `pert '<id>', o: 0, m: 0, p: 0`.
